summaryrefslogtreecommitdiffstats
path: root/desktop/paper-icon-theme
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2016-08-05 15:53:26 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-05 18:10:41 +0100
commitbb8e6a41f710072353d6515821880ffe103dd9c8 (patch)
tree43d9166799f2969a45f5a7122de95954d1567520 /desktop/paper-icon-theme
parentef9b5bdc88bb735aaa5f30442b8436f819e0d6f8 (diff)
downloadslackbuilds-bb8e6a41f710072353d6515821880ffe103dd9c8.tar.gz
slackbuilds-bb8e6a41f710072353d6515821880ffe103dd9c8.tar.xz
desktop/paper-icon-theme: Added (Paper Icons).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop/paper-icon-theme')
-rw-r--r--desktop/paper-icon-theme/README10
-rw-r--r--desktop/paper-icon-theme/doinst.sh13
-rw-r--r--desktop/paper-icon-theme/paper-icon-theme.SlackBuild64
-rw-r--r--desktop/paper-icon-theme/paper-icon-theme.info10
-rw-r--r--desktop/paper-icon-theme/slack-desc19
5 files changed, 116 insertions, 0 deletions
diff --git a/desktop/paper-icon-theme/README b/desktop/paper-icon-theme/README
new file mode 100644
index 0000000000..97dfa928de
--- /dev/null
+++ b/desktop/paper-icon-theme/README
@@ -0,0 +1,10 @@
+paper-icon-theme (Paper Icons)
+
+Paper is a modern freedesktop icon theme whose design is based
+around the use of bold colours and simple geometric shapes to compose
+icons. Each icon has been meticulously designed for pixel-perfect
+viewing.
+
+While it does take some inspiration from the icons in Google's
+Material Design, some aspects have been adjusted to better suit a
+desktop environment.
diff --git a/desktop/paper-icon-theme/doinst.sh b/desktop/paper-icon-theme/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/paper-icon-theme/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/paper-icon-theme/paper-icon-theme.SlackBuild b/desktop/paper-icon-theme/paper-icon-theme.SlackBuild
new file mode 100644
index 0000000000..6016683a5b
--- /dev/null
+++ b/desktop/paper-icon-theme/paper-icon-theme.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+#
+# Slackware build script for paper-icon-theme.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="paper-icon-theme"
+VERSION=${VERSION:-1.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/icons
+cp -a Paper $PKG/usr/share/icons/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING LICENSE* README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/paper-icon-theme/paper-icon-theme.info b/desktop/paper-icon-theme/paper-icon-theme.info
new file mode 100644
index 0000000000..29e9e1e16d
--- /dev/null
+++ b/desktop/paper-icon-theme/paper-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="paper-icon-theme"
+VERSION="1.3.2"
+HOMEPAGE="https://github.com/snwh/paper-icon-theme"
+DOWNLOAD="https://github.com/snwh/paper-icon-theme/archive/v1.3.2/paper-icon-theme-1.3.2.tar.gz"
+MD5SUM="6746720a6de7f71b87c01e44d7d76550"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/paper-icon-theme/slack-desc b/desktop/paper-icon-theme/slack-desc
new file mode 100644
index 0000000000..aea16ce84f
--- /dev/null
+++ b/desktop/paper-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+paper-icon-theme: paper-icon-theme (Paper Icons)
+paper-icon-theme:
+paper-icon-theme: Paper is a modern freedesktop icon theme whose design is based
+paper-icon-theme: around the use of bold colours and simple geometric shapes to compose
+paper-icon-theme: icons. Each icon has been meticulously designed for pixel-perfect
+paper-icon-theme: viewing.
+paper-icon-theme:
+paper-icon-theme: Home Page: https://github.com/snwh/paper-icon-theme
+paper-icon-theme:
+paper-icon-theme:
+paper-icon-theme: